Skip next shipment
curl --request POST \
--url https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/skip \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comments": "Away on holiday"
}
'import requests
url = "https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/skip"
payload = { "comments": "Away on holiday" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comments: 'Away on holiday'})
};
fetch('https://api.marzipan.co/v1/account/subscriptions/{subscriptionId}/skip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Shipment successfully skipped"
}{
"message": "Unauthenticated."
}{
"message": "Subscription not found"
}Subscriptions
Skip next shipment
Skip the next shipment or renewal for the subscription. Advances the next billing date by one cycle and clears any additional items on the skipped shipment. An optional comment can be recorded.
POST
/
account
/
subscriptions
/
{subscriptionId}
/
skip
Skip next shipment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.
Path Parameters
Subscription ID
Body
application/json
Optional reason for skipping
Response
Shipment skipped
⌘I

